package com.adealink.frame.imkit.listener

import io.rong.imlib.RongIMClient
import io.rong.imlib.model.Conversation

abstract class BaseConversationEventListener :
    ConversationEventListener {
    override fun onSaveDraft(
        type: Conversation.ConversationType,
        targetId: String,
        content: String
    ) {
        // default implementation ignored
    }

    override fun onClearedMessage(type: Conversation.ConversationType, targetId: String) {
        // default implementation ignored
    }

    override fun onClearedUnreadStatus(type: Conversation.ConversationType, targetId: String) {
        // default implementation ignored
    }

    override fun onConversationRemoved(type: Conversation.ConversationType, targetId: String) {
        // default implementation ignored
    }

    override fun onOperationFailed(code: RongIMClient.ErrorCode) {
        // default implementation ignored
    }

    override fun onClearConversations(vararg conversationTypes: Conversation.ConversationType) {
        // default implementation ignored
    }

    override fun onClearTagConversations(tagId: String?) {
        // default implementation ignored
    }

    override fun onClearTagConversationsUnreadStatus(tagId: String?) {
        // default implementation ignored
    }
}
